#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#
#define debug_package %{nil}

%define rel 1

Summary:        A plugin-based library to create window decorations
Name:           kdecoration
Version: 5.8.6
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
Source0:        http://fr2.rpmfind.net/linux/KDE/unstable/framework/%{name}-%{version}.tar.xz
URL:            https://www.kde.org/

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Test)

BuildRequires:  kf5-macros

BuildRequires:	libxml2-utils
BuildRequires:	docbook-dtds
BuildRequires:	docbook-style-xsl

%description
A plugin-based library to create window decorations

#--------------------------------------------------------------------

%define kf5decoration_major 5
%define libkf5decoration %mklibname kf5decoration %{kf5decoration_major}

%package -n %libkf5decoration
Summary:      A plugin-based library to create window decorations
Group:        System/Libraries

%description -n %libkf5decoration
A plugin-based library to create window decorations

%files -n %libkf5decoration
%_kf5_libdir/libkdecorations2.so.%{kf5decoration_major}*

#--------------------------------------------------------------------

%define kf5decorationprivate_major 5
%define libkf5decorationprivate %mklibname kf5decorationprivate %{kf5decorationprivate_major}

%package -n %libkf5decorationprivate
Summary:      A plugin-based library to create window decorations
Group:        System/Libraries

%description -n %libkf5decorationprivate
A plugin-based library to create window decorations

%files -n %libkf5decorationprivate
%_kf5_libdir/libkdecorations2private.so.%{kf5decorationprivate_major}*

#--------------------------------------------------------------------

%define kf5decoration_devel %mklibname kf5decoration -d

%package -n %kf5decoration_devel

Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf5decoration = %version-%release
Requires:       %libkf5decorationprivate = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kf5decoration_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf5decoration_devel
%_includedir/KDecoration2
%_kf5_includedir/kdecoration2_version.h
%_kf5_libdir/cmake/KDecoration2
%_kf5_libdir/*.so

#--------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf5 -DSYSCONF_INSTALL_DIR="%_sysconfdir" 
%make

%install
%makeinstall_std -C build



%changelog
* Mon Mar 06 2017 neoclust <neoclust> 5.8.6-1.mga6
+ Revision: 1089018
- New version 5.8.6

* Tue Dec 27 2016 neoclust <neoclust> 5.8.5-1.mga6
+ Revision: 1078153
- New version 5.8.5

* Mon Nov 28 2016 neoclust <neoclust> 5.8.4-1.mga6
+ Revision: 1070710
- New version 5.8.4

* Thu Nov 03 2016 neoclust <neoclust> 5.8.3-2.mga6
+ Revision: 1065133
- Rebuild against Qt 5.6.2

* Tue Nov 01 2016 neoclust <neoclust> 5.8.3-1.mga6
+ Revision: 1064470
- New version 5.8.3

* Sat Oct 22 2016 neoclust <neoclust> 5.8.2-1.mga6
+ Revision: 1063041
- New version 5.8.2
- New version 5.8.2

* Wed Oct 12 2016 neoclust <neoclust> 5.8.1-1.mga6
+ Revision: 1060266
- New version 5.8.1

* Thu Sep 29 2016 neoclust <neoclust> 5.8.0-1.mga6
+ Revision: 1057592
- New version 5.8.0

* Thu Sep 15 2016 neoclust <neoclust> 5.7.95-1.mga6
+ Revision: 1053048
- New version 5.7.95

* Wed Sep 14 2016 neoclust <neoclust> 5.7.5-1.mga6
+ Revision: 1052675
- New version 5.7.5

* Wed Aug 24 2016 neoclust <neoclust> 5.7.4-1.mga6
+ Revision: 1048336
- New version 5.7.4

* Tue Aug 02 2016 neoclust <neoclust> 5.7.3-1.mga6
+ Revision: 1044261
- New version 5.7.3

* Tue Jul 19 2016 neoclust <neoclust> 5.7.2-1.mga6
+ Revision: 1042549
- New version 5.7.2

* Tue Jul 12 2016 neoclust <neoclust> 5.7.1-1.mga6
+ Revision: 1041386
- New version 5.7.1

* Thu Jul 07 2016 neoclust <neoclust> 5.7.0-1.mga6
+ Revision: 1039492
- New version 5.7.0

* Fri Jun 17 2016 neoclust <neoclust> 5.6.5-1.mga6
+ Revision: 1021858
- New version 5.6.5

* Fri May 13 2016 neoclust <neoclust> 5.6.4-1.mga6
+ Revision: 1014529
- New version 5.6.4

* Wed May 04 2016 neoclust <neoclust> 5.6.3-1.mga6
+ Revision: 1009267
- New version 5.6.3

* Fri Apr 08 2016 neoclust <neoclust> 5.6.2-1.mga6
+ Revision: 999251
- New version 5.6.2

* Sun Apr 03 2016 neoclust <neoclust> 5.6.1-1.mga6
+ Revision: 998006
- New version 5.6.1

* Wed Mar 23 2016 neoclust <neoclust> 5.6.0-1.mga6
+ Revision: 994381
- New version 5.6.0

* Mon Mar 07 2016 neoclust <neoclust> 5.5.95-2.mga6
+ Revision: 987062
- Rebuild against kf5 5.20.0

* Wed Mar 02 2016 neoclust <neoclust> 5.5.95-1.mga6
+ Revision: 983734
- New version 5.5.95

* Tue Jan 26 2016 neoclust <neoclust> 5.5.4-1.mga6
+ Revision: 927961
- New version 5.5.4

* Wed Jan 13 2016 neoclust <neoclust> 5.5.3-1.mga6
+ Revision: 922498
- New version 5.5.3

* Fri Dec 25 2015 neoclust <neoclust> 5.5.2-1.mga6
+ Revision: 914834
- New version 5.5.2

* Wed Dec 23 2015 neoclust <neoclust> 5.5.1-2.mga6
+ Revision: 913646
- Rebuild against Qt 5.6.0 Beta

* Tue Dec 15 2015 neoclust <neoclust> 5.5.1-1.mga6
+ Revision: 910679
- New version 5.5.1

* Tue Dec 08 2015 neoclust <neoclust> 5.5.0-1.mga6
+ Revision: 908840
- New version 5.5.0

* Fri Nov 20 2015 neoclust <neoclust> 5.4.95-1.mga6
+ Revision: 904393
- New version 5.4.95

* Tue Nov 10 2015 neoclust <neoclust> 5.4.90-2.mga6
+ Revision: 900717
- Rebuild against fixed qtbase5

* Fri Nov 06 2015 neoclust <neoclust> 5.4.90-1.mga6
+ Revision: 898251
- New version 5.4.90

* Sun Oct 11 2015 neoclust <neoclust> 5.4.2-1.mga6
+ Revision: 889508
- New version 5.4.2

* Wed Sep 09 2015 neoclust <neoclust> 5.4.1-1.mga6
+ Revision: 874723
- New version 5.4.1

* Wed Aug 26 2015 neoclust <neoclust> 5.4.0-1.mga6
+ Revision: 869639
- New version 5.4.0

* Tue Aug 11 2015 neoclust <neoclust> 5.3.95-1.mga6
+ Revision: 862531
- New version 5.3.95

* Fri Jul 03 2015 neoclust <neoclust> 5.3.2-1.mga6
+ Revision: 849688
- imported package kdecoration

